{% extends "base.html" %}
{% load bootstrap4 %}
{% block title %}
    Your shopping cart
{% endblock %}

{% block content %}

<div class="container">
    <div class="row">
        <div class="col-sm-12 col-md-10 col-md-offset-1">
             <h1>Your shopping cart</h1>
            <table class="table table-hover">
                <thead>
                <tr>
                    <th>Product</th>
                    <th class="text-center">Price</th>
                    <th>Quantity</th>
                    <th class="text-center">Total</th>
                    <th> </th>
                </tr>
                </thead>
                <tbody>
                {% for item in cart %}
                    {% with product=item.product %}
                        <tr>
                            <td class="col-sm-8 col-md-6">
                                <div class="media">
                                    <a class="thumbnail pull-left" href="{{ product.get_absolute_url }}">
                                        <img class="media-object"
                                             src="{% if product.main_photo %}{{ product.main_photo.url }}
                                                 {% endif %}"
                                             style="width: 72px; height: 72px;">
                                    </a>
                                    <div class="media-body">
                                        <h4 class="media-heading"><a
                                                href="{{ product.get_absolute_url }}">{{ product.name }}</a></h4>
                                        <span>Статус: </span><span class="text-success"><strong>в наличии</strong></span>
                                    </div>
                                </div>
                            </td>
                            <td class="col-sm-1 col-md-1 text-center"><strong>${{ item.price }}</strong></td>
                            <td class="col-sm-1 col-md-1" style="text-align: center">

                                <form action="{% url 'cart:cart_add' product.id %}" method="post">
                                    {% csrf_token %}
                                    {% bootstrap_field item.update_quantity_form.quantity %}
                                    {% bootstrap_field item.update_quantity_form.update %}
                                    {% buttons %}
                                        <button type="submit" class="btn btn-success btn-product">
                                            Обновить
                                        </button>
                                    {% endbuttons %}
                                </form>
                            </td>


                            <td class="col-sm-1 col-md-1 text-center"><strong>${{ item.total_price }}</strong></td>

                            <td class="col-sm-1 col-md-1">
                                <a href="{% url 'cart:cart_remove' product.id %}" class="btn btn-danger">
                                    <i class="fa fa-times" aria-hidden="true"></i> Удалить
                                </a>
                            </td>
                        </tr>
                    {% endwith %}
                {% endfor %}
                <tr>
                    <td>  </td>
                    <td>  </td>
                    <td>  </td>
                    <td><h3>Total</h3></td>
                    <td class="text-right"><h3><strong>${{ cart.get_total_price }}</strong></h3></td>
                </tr>
                <tr>
                    <td> </td>
                    <td> </td>
                    <td> </td>
                    <td>
                        <a href="{% url 'product:products-list' %}" class="primary-btn ">
                            Продолжить покупки <i class="fa fa-space-shuttle" aria-hidden="true"></i>
                        </a>
                    </td>
                    <td>
                        <a href="{% url 'orders:order_create' %}" class="primary-btn order-submit">Оформить Заказ <i
                                class="fa fa-taxi" aria-hidden="true"></i>
                        </a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
{% endblock %}
